Add New Technologies

POST /pcas/v3/policy/technology/

With this API, you can add technologies within a compliance policy. When you add new technologies to the policy, the existing technologies within the policy remain
unaffected.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer The ID of the policy where the new technology is to be added.
technologyIds={value} Required Integer List Specify a valid technology ID in a list format to be added to the policy.

Sample - List all technologies associated to the policy IDSample - List all technologies associated to the policy ID

API Request

curl -X 'POST' \ '<qualys_base_url>/pcas/v3/policy/technology' 
\ -H 'accept: application/json' \ -H 'Authorization: Bearer <Auth Token>' 
\ -H 'Content-Type: application/json' \ -d { "policyId": 5656121, "technologyIds": [ 331 ]}'

XML Output

[
 {
  "technologyId": 18,
  "technologyName": "Windows Vista"
 },
 {
  "technologyId": 331,
  "technologyName": "Windows 11"
 }
]


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.